Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.log
Class AbstractLog

    java.lang.Object
      org.apache.openjpa.lib.log.AbstractLog

All Implemented Interfaces:
  Log

Direct Known Subclasses:
  LogFactoryImpl.LogImpl

    public abstract class AbstractLog

extends Object
implements Log

A simple implementation of the `Log` interface. Writes output to stdout.

Author:
  Patrick Linskey

Field Summary

Fields inherited from interface org.apache.openjpa.lib.log.Log
`ERROR, FATAL, INFO, TRACE, WARN`

Constructor Summary
`AbstractLog()`

Method Summary
`void` | `error(Object message)` Write out a log message at the `Log.ERROR` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `error(Object message, Throwable t)` Write out a log message at the `Log.ERROR` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `fatal(Object message)` Write out a log message at the `Log.FATAL` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `fatal(Object message, Throwable t)` Write out a log message at the `Log.FATAL` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`protected static String` | `getStackTrace(Throwable t)` Utility method to obtain a stack trace as a String.
`void` | `info(Object message)` Write out a log message at the `Log.INFO` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `info(Object message, Throwable t)` Write out a log message at the `Log.INFO` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`protected abstract boolean` | `isEnabled(short level)` Check to see if the specified logging level is enabled.
`boolean` | `isErrorEnabled()` Returns if the `Log.ERROR` log level is enabled.
`boolean` | `isFatalEnabled()` Returns if the `Log.FATAL` log level is enabled.
`boolean` | `isInfoEnabled()` Returns if the `Log.INFO` log level is enabled.
`boolean` | `isTraceEnabled()` Returns if the `Log.TRACE` log level is enabled.
`boolean` | `isWarnEnabled()` Returns if the `Log.WARN` log level is enabled.
`protected abstract void` | `log(short level, String message, Throwable t)` Send the specified log message to the handler.
`void` | `trace(Object message)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message.
`void` | `trace(Object message, Throwable t)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `warn(Object message)` Write out a log message at the `Log.WARN` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `warn(Object message, Throwable t)` Write out a log message at the `Log.WARN` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLog

    public AbstractLog()

Method Detail

### isEnabled

    protected abstract boolean isEnabled(short level)

  Check to see if the specified logging level is enabled.

### log

    protected abstract void log(short level,
                                String message,
                                Throwable t)

  Send the specified log message to the handler.

  Parameters:
    `level` - the level of the log message
    `message` - the message to send
    `t` - the Throwable, or null if this is not an error

### isTraceEnabled

    public boolean isTraceEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.TRACE` log level is enabled.

  Specified by:
    `isTraceEnabled` in interface `Log`

### isInfoEnabled

    public boolean isInfoEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.INFO` log level is enabled.

  Specified by:
    `isInfoEnabled` in interface `Log`

### isWarnEnabled

    public boolean isWarnEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.WARN` log level is enabled.

  Specified by:
    `isWarnEnabled` in interface `Log`

### isErrorEnabled

    public boolean isErrorEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.ERROR` log level is enabled.

  Specified by:
    `isErrorEnabled` in interface `Log`

### isFatalEnabled

    public boolean isFatalEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.FATAL` log level is enabled.

  Specified by:
    `isFatalEnabled` in interface `Log`

### trace

    public void trace(Object message)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message.

  Specified by:
    `trace` in interface `Log`

### trace

    public void trace(Object message,
                      Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

  Specified by:
    `trace` in interface `Log`

### info

    public void info(Object message)

  Description copied from interface: `Log`
  Write out a log message at the `Log.INFO` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

  Specified by:
    `info` in interface `Log`

### info

    public void info(Object message,
                     Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.INFO` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

  Specified by:
    `info` in interface `Log`

### warn

    public void warn(Object message)

  Description copied from interface: `Log`
  Write out a log message at the `Log.WARN` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

  Specified by:
    `warn` in interface `Log`

### warn

    public void warn(Object message,
                     Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.WARN` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

  Specified by:
    `warn` in interface `Log`

### error

    public void error(Object message)

  Description copied from interface: `Log`
  Write out a log message at the `Log.ERROR` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

  Specified by:
    `error` in interface `Log`

### error

    public void error(Object message,
                      Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.ERROR` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

  Specified by:
    `error` in interface `Log`

### fatal

    public void fatal(Object message)

  Description copied from interface: `Log`
  Write out a log message at the `Log.FATAL` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

  Specified by:
    `fatal` in interface `Log`

### fatal

    public void fatal(Object message,
                      Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.FATAL` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

  Specified by:
    `fatal` in interface `Log`

### getStackTrace

    protected static String getStackTrace(Throwable t)

  Utility method to obtain a stack trace as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.